Subject: Re: [PATCH 0/4] Update tdlib and telega packages

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 22 Jan 2022 16:14:53 +0100

Hi Andrew, 

Am Donnerstag, dem 20.01.2022 um 14:45 +0300 schrieb Andrew Tropin:
> tdlib and telega are inteded to be used from specific commits not
> tags, I keep revision and commit parameters for those packages to
> make it easier to update them to untagged commits in the future.
> 
> https://github.com/tdlib/td/issues/1790
> 
> Also, updated the style for arguments.
It appears Telega was already updated through a different patch.  The
style adjustments are still relevant, but fail to apply currently.

As for commit vs. tag, I've CC'd Nicolas to make a more informed
decision.  I do understand your reasoning, but OTOH I disagree with
Telegram's "every commit is as good as a release" stance, particularly
if there's a widely used client whose releases fail in CI :)